Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_statement_from_nodes

## Name

librdf_new_statement_from_nodes -- Constructor - create a new librdf_statement from existing librdf_node objects

## Synopsis

``librdf_statement* `librdf_new_statement_from_nodes`` (librdf_world * `world`, librdf_node* `subject`, librdf_node* `predicate`, librdf_node* `object`);`

## Arguments

`world`

  redland world object

`subject`

  librdf_node

`predicate`

  librdf_node

`object`

  librdf_node

## Description

The node objects become owned by the new statement (or freed on error).

## Return value

a new librdf_statement with copy or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_statement_from_statement | Up | librdf_statement_init